Update Webhook Endpoint
PATCH /webhook-endpoints/{endpoint_id}Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
endpoint_id | path | string (uuid) | required | — |
Request body — WebhookEndpointPatch
Section titled “Request body — WebhookEndpointPatch”| Field | Type | Notes | |
|---|---|---|---|
prompt_template | string | null | optional | min length 1 |
input_template | object | null | optional | — |
session_key_template | string | null | optional | max length 400 |
persona_slug_template | string | null | optional | max length 400 |
subject_template | SubjectTemplate | null | optional | — |
response_mode | async | sync | callback | ack | null | optional | — |
response_path | string | null | optional | max length 400 |
callback_url | string | null | optional | max length 2000 |
rate_limit_per_minute | integer | null | optional | min 1 max 10000 |
coalescing | CoalescingConfig | null | optional | — |
is_active | boolean | null | optional | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | WebhookEndpointView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X PATCH https://your-deployment.example.com/webhook-endpoints/{endpoint_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — WebhookEndpointView
Section titled “Response — WebhookEndpointView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
agent_id | string (uuid) | required | — |
slug | string | required | — |
http_method | POST | GET | PUT | required | — |
verification | hmac_sha256 | shared_token | none | required | — |
secret_set | boolean | required | — |
rotation_active | boolean | required | — |
secret_overlap_until | string (date-time) | null | required, nullable | — |
prompt_template | string | required | — |
input_template | object | null | required, nullable | — |
session_key_template | string | null | required, nullable | — |
persona_slug_template | string | null | required, nullable | — |
subject_template | object | null | required, nullable | — |
response_mode | async | sync | callback | ack | required | — |
response_path | string | null | required, nullable | — |
callback_url | string | null | required, nullable | — |
event_kind | string | null | required, nullable | — |
rate_limit_per_minute | integer | required | — |
coalescing | object | required | — |
unverified_ack | boolean | required | — |
call_count | integer | required | — |
is_active | boolean | required | — |
created_at | string (date-time) | required | — |